--------------------------------------------------
-- STRS AGM-65E Page
--------------------------------------------------
local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/STRS/"
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Common Elements
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")
dofile(mpcd_path.."STRS_WPN_LST.lua")	-- Weapons Selection

--Alignment Structure
--local mpcd_align	= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
--mpcd_align.name		= "mpcd_align"
--mpcd_align.init_pos	= {0, 0, 0}
--Add_MPCD_Element(mpcd_align)

--------------------------------------------------
-- SYMBOLS & INDICATORS
--------------------------------------------------
-- PAGE MENU
local	mpcd_mm_btn_04				= CreateElement "ceStringPoly"
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.material		= mpcd_tpod_font
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.alignment	= "CenterCenter"
		mpcd_mm_btn_04.formats		= {"%s"}
		mpcd_mm_btn_04.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_04.controllers	= {{"dmt_lsr_scan"}}
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "C\nO\nD\nE"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_font_base
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "S\nT\nE\nP"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_14.controllers	= {{"strs_step_btn"}}
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_font_base
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nC\nM"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20_rdy"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= {-0.65, -0.77, 0}
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "RDY"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "TONE"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)


-- Selections
local	lmav_laser_code				= create_mpcd_textured_box( 5, 4, 58, 153)
		lmav_laser_code.name		= "lmav_laser_code"
		lmav_laser_code.init_pos	= mpcd_btn_05_pos
		lmav_laser_code.controllers	= {{"dmt_lsr_code"}}
Add_MPCD_Element(lmav_laser_code)

-- Status
local	lsmv_laser_code				= CreateElement "ceStringPoly"
		lsmv_laser_code.name		= "lsmv_laser_code"
		lsmv_laser_code.material	= mpcd_lmav_font
		lsmv_laser_code.init_pos	= {0, 0.7, 0}
		lsmv_laser_code.alignment	= "CenterCenter"
		lsmv_laser_code.formats		= {"%d%s"}
		lsmv_laser_code.stringdefs	= {0.0200, 0.0200}
		lsmv_laser_code.controllers	= {{"lmav_lsr_code"}}
Add_MPCD_Element(lsmv_laser_code)

local	lsmv_slaved_sts				= CreateElement "ceStringPoly"
		lsmv_slaved_sts.name		= "lsmv_slaved_sts"
		lsmv_slaved_sts.material	= mpcd_lmav_font
		lsmv_slaved_sts.init_pos	= {0, 0.7, 0}
		lsmv_slaved_sts.alignment	= "CenterCenter"
		lsmv_slaved_sts.value		= "S"
		lsmv_slaved_sts.stringdefs	= {0.0200, 0.0200}
		lsmv_slaved_sts.controllers	= {{"lmav_is_slaved"}}
Add_MPCD_Element(lsmv_slaved_sts)

-- Reticle
local	lsmv_reticle				= create_mpcd_textured_box( 9, 9, 502, 502, nil, nil, 8)
		lsmv_reticle.name			= "lsmv_reticle"
		lsmv_reticle.init_pos		= {0, 0, 0}
		lsmv_reticle.controllers	= {{"lmav_uncaged"}}
Add_MPCD_Element(lsmv_reticle)

local	lsmv_lss_sensor				= create_mpcd_textured_box( 180, 629, 238, 687)
		lsmv_lss_sensor.name		= "lsmv_lss_sensor"
		lsmv_lss_sensor.init_pos	= {0, 0.0, 0}
		lsmv_lss_sensor.controllers	= {{"lmav_seeking"}}
Add_MPCD_Element(lsmv_lss_sensor)

local	lsmv_lock_cue				= create_mpcd_textured_box( 35, 600, 102, 667)
		lsmv_lock_cue.name			= "lsmv_lock_cue"
		lsmv_lock_cue.init_pos		= {0, 0.0, 0}
		lsmv_lock_cue.controllers	= {{"lmav_lock_cue"}}
Add_MPCD_Element(lsmv_lock_cue)

---
local	TONE_selection				= create_mpcd_textured_box( 60, 4, 175, 50)
		TONE_selection.name			= "TRNG_selection"
		TONE_selection.init_pos		= mpcd_btn_20_pos
		TONE_selection.controllers	= {{"STRS_TONE_selection"}}
Add_MPCD_VIDEO_Element(TONE_selection)

